#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# norootforbuild

Name:           truecrypt
Version:        6.0a
Release:        3.3
Obsoletes:      truecrypt-kmp =< 4.3a
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  fuse-devel, wxWidgets-devel >= 2.8, pkg-config update-desktop-files
License:        TrueCrypt License Version 2.0
Group:          System/Libraries
Url:            http://www.truecrypt.org
Source0:        %{name}-%{version}-source.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-%{version}-wx.patch
Summary:        Free open-source disk encryption software for Windows Vista/XP/2000 and Linux

%description
TrueCrypt is a software system for establishing and maintaining an on-the-fly-encrypted volume (data storage device).

On-the-fly encryption means that data are automatically encrypted or decrypted right before they are loaded or saved, without any user intervention.
No data stored on an encrypted volume can be read (decrypted) without using the correct password/keyfile(s) or correct encryption keys. 

Entire file system is encrypted (i.e., file names, folder names, contents of every file, and free space).

Authors:
--------
 - TrueCrypt Foundation <ennead@truecrypt.org>
 - Paul Le Roux

%prep
%setup -n truecrypt-%{version}-source
%patch0

%build
export NOTEST=1 ; make 

%install
%{__install} -D -m 0755 Main/truecrypt %{buildroot}%{_bindir}/truecrypt
%{__install} -D -m 0644 Resources/Icons/TrueCrypt-16x16.xpm %{buildroot}%{_datadir}/pixmaps/TrueCrypt-16x16.xpm
%{__install} -D -m 0644 %{S:1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -fr %{buildroot}

%files
%attr(0755,root,root) %{_bindir}/truecrypt
%attr(0644,root,root) %doc Release/Setup\ Files/* Readme.txt
%defattr(-,root,root,-)
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/TrueCrypt-16x16.xpm

%changelog -n truecrypt
* Sat Jul 19 2008 Carsten Schoene <cs@linux-administrator.com>
- added desktop file
* Fri Jul 18 2008 Carsten Schoene <cs@linux-administrator.com>
- update to 6.0a
* Sat Jul 05 2008 Carsten Schoene <cs@linux-administrator.com>
- update to 6.0
* Thu Feb 21 2008 - dmacvicar@suse.de
- update to 5.0a
* Sun Sep 23 2007 - dmacvicar@suse.de
- fix build on 10.3 and Factory
* Thu Sep  6 2007 - dmacvicar@suse.de
- Add dependency on the kernel module
* Mon May 21 2007 - dmacvicar@suse.de
- Update to 4.3a
* Mon Aug 21 2006 - dmacvicar@suse.de
- Add patches from Gentoo to compile on 2.6.18
* Mon Jul  3 2006 - dmacvicar@suse.de
- Update to 4.2a
* Thu Jun 01 2006 - dmacvicar@suse.de
- initial package of 4.2
